| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | Protected Attributes | Properties | Private Attributes | List of all members
IG.Gr3d.VtkSurfacePlot Class Reference

Handles surface plots in VTK render window accessed through the VtkPlotter class. More...

Inheritance diagram for IG.Gr3d.VtkSurfacePlot:
[legend]
Collaboration diagram for IG.Gr3d.VtkSurfacePlot:
[legend]

## Public Member Functions
| VtkSurfacePlot (VtkPlotter plotter)
| VtkSurfacePlot (VtkPlotter plotter, StructuredMesh2d3d mesh)
void | SetBoundsParameters (double minX, double maxX, double minY, double maxY)
| Sets the bounds on reference coordinates used in generation of the surface grid. More...
void | SetBoundsParameters (IBoundingBox bounds)
| Sets the bounds on reference coordinates used in generation of the surface grid. More...
void | SetSurfaceDefinition (IFunc2d fX, IFunc2d fY, IFunc2d fZ)
| Sets the definition of parametric surface in 3D. More...
void | SetSurfaceDefinition (IFunc3d2d functions)
| Sets the definition of parametric surface in 3D. More...
void | SetSurfaceDefinition (IFunc2d funcZ)
| Sets explicit definition of a surface as graph of a function of two variables. More...
void | ClearSurfaceDefinition ()
| Removes any eventual definition of surface by functions (either parametric or explicit). More...
override void | Create ()
| Creates the surface plot. More...
Public Member Functions inherited from IG.Gr3d.VtkSurfacePlotBase
| VtkSurfacePlotBase (VtkPlotter plotter)
| Constructor. Just calls base constructor with the same name. More...
void | CreateCustomPlot ()
| Updates custom plots that have been accumulates since the last update (or since construction of the current plot object). More...
void | CreateCustomPlotAndShow ()
void | AddPoint (double x, double y, double z)
| Adds a point with specified coordinates to the set of graphic primitives that will be plotted when CreateCustomPlot is called. More...
void | AddPoint (vec3 p)
| Adds a point with specified coordinates to the set of graphic primitives that will be plotted when CreateCustomPlot is called. More...
void | AddPoints (params vec3[] points)
| Adds a set of points with specified coordinates to the set of graphic primitives that will be plotted when CreateCustomPlot is called. More...
void | AddLine (double x1, double y1, double z1, double x2, double y2, double z2)
| Adds a line with specified endpoint coordinates to the set of graphic primitives that will be plotted when CreateCustomPlot is called. More...
void | AddLine (vec3 p1, vec3 p2)
void | AddLines (params vec3[] points)
void | AddTriangle (double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3)
void | AddTriangle (vec3 p1, vec3 p2, vec3 p3)
void | AddTriangularStrip (params vec3[] points)
void | AddQuadrilateral (double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3, double x4, double y4, double z4)
void | AddQuadrilateral (vec3 p1, vec3 p2, vec3 p3, vec3 p4)
void | AddFilledTriangle (double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3)
void | AddFilledTriangle (vec3 p1, vec3 p2, vec3 p3)
void | AddFilledTriangularStrip (params vec3[] points)
void | AddBorderedTriangle (double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3)
void | AddBorderedTriangle (vec3 p1, vec3 p2, vec3 p3)
void | AddBorderedTriangularStrip (params vec3[] points)
void | AddFilledQuadrilateral (double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3, double x4, double y4, double z4)
void | AddFilledQuadrilateral (vec3 p1, vec3 p2, vec3 p3, vec3 p4)
void | AddBorderedQuadrilateral (double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3, double x4, double y4, double z4)
void | AddBorderedQuadrilateral (vec3 p1, vec3 p2, vec3 p3, vec3 p4)
Public Member Functions inherited from IG.Gr3d.VtkPlotBase
| VtkPlotBase (VtkPlotter plotter)
| Constructor. More...
bool | ContainsActor (vtkActor actor)
| Returns true if the specified VTK Actor is contained on (registered with) the current VtkPlotBase object, or false otherwise. More...
void | AddActor (vtkActor actor)
| Adds the specified actor to the list of actors of the current VTK plotter. More...
void | AddActors (params vtkActor[] actors)
| Adds the specified actors to the list of actors of the current VTK plotter. More...
void | AddActorsToPlotter ()
| Adds all actors from the current plot to the plotter that this plot is assigned to. More...
void | AddActorsToPlotter (VtkPlotter plotter)
| Adds all actors from the current plot to the specified plotter. More...
void | RemoveActor (vtkActor actor)
| Removes the specified actor from the list of actors of the current VTK plotter, and disposes unmanaged resources used by that object. More...
void | RemoveActors (params vtkActor[] actors)
| Removes the specified actors from the list of actors of the current VTK plotter, and disposes unmanaged resources used by that objects. More...
void | RemoveActors ()
| Removes all actors that are currently contained on the list of actors of the current object. More...
void | UpdateBoundsOnActors (IBoundingBox bounds)
| Updates the specified bounding box in such a way that all actors from the current plot object fit into it. More...
void | ScaleActors ()
| Scales all actors on the current plot by the plotter's scaling method. More...
bool | ContainsAlgorithm (vtkAlgorithm algorithm)
| Returns true if the specified VTK algorithm is contained on (registered with) the current VtkPlotter object, or false otherwise. More...
void | AddAlgorithm (vtkAlgorithm algorithm)
| Adds the specified algorithm to the list of algorithms of the current VTK plotter. More...
void | AddAlgorithms (params vtkAlgorithm[] algorithms)
| Adds the specified algorithms to the list of algorithms of the current VTK plotter. More...
void | RemoveAlgorithm (vtkAlgorithm algorithm)
| Removes the specified algorithm from the list of algorithms of the current VTK plotter, and disposes unmanaged resources used by that object. More...
void | RemoveAlgorithms (params vtkAlgorithm[] algorithms)
| Removes the specified algorithms from the list of algorithms of the current VTK plotter, and disposes unmanaged resources used by that objects. More...
bool | ContainsMapper (vtkMapper mapper)
| Returns true if the specified VTK mapper is contained on (registered with) the current VtkPlotter object, or false otherwise. More...
void | AddMapper (vtkMapper mapper)
| Adds the specified mapper to the list of mappers of the current VTK plotter. More...
void | AddMappers (params vtkMapper[] mappers)
| Adds the specified mappers to the list of mappers of the current VTK plotter. More...
void | RemoveMapper (vtkMapper mapper)
| Removes the specified mapper from the list of mappers of the current VTK plotter, and disposes unmanaged resources used by that object. More...
void | RemoveMappers (params vtkMapper[] mappers)
| Removes the specified mappers from the list of mappers of the current VTK plotter, and disposes unmanaged resources used by that objects. More...
bool | ContainsDataset (vtkDataSet dataset)
| Returns true if the specified VTK dataset is contained on (registered with) the current VtkPlotter object, or false otherwise. More...
void | AddDataset (vtkDataSet dataset)
| Adds the specified dataset to the list of datasets of the current VTK plotter. More...
void | AddDatasets (params vtkDataSet[] datasets)
| Adds the specified datasets to the list of datasets of the current VTK plotter. More...
void | RemoveDataset (vtkDataSet dataset)
| Removes the specified dataset from the list of datasets of the current VTK plotter, and disposes unmanaged resources used by that object. More...
void | RemoveDatasets (params vtkDataSet[] datasets)
| Removes the specified datasets from the list of datasets of the current VTK plotter, and disposes unmanaged resources used by that objects. More...
void | UpdateBoundsCoordinates (bool forced, double x, double y, double z)
| Updates the bounding box of coordinates (BoundsCoordinates), if the conditions are met, in such a way that the point with the specified coordinates fits witin it. More...
void | UpdateBoundsCoordinates (double x, double y, double z)
| Updates the bounding box of coordinates (BoundsCoordinates), if the AutoUpdateBoundsCoordinates flag is true, in such a way that the point with the specified coordinates fits witin it. More...
void | UpdateBoundsCoordinates (bool forced, vec3 pointCoordinates)
| Updates the bounding box of coordinates (BoundsCoordinates), if the conditions are met, in such a way that the point with the specified coordinates fits witin it. More...
void | UpdateBoundsCoordinates (vec3 pointCoordinates)
| Updates the bounding box of coordinates (BoundsCoordinates), if the AutoUpdateBoundsCoordinates flag is true, in such a way that the point with the specified coordinates fits witin it. More...
virtual void | ShowPlot ()
| Makes the associated plotter show the plots that are currently added. More...
virtual void | CreateAndShow ()
| Creates the plot and makes the associated plotter show it. More...
void | Dispose ()
| Implementation of IDisposable interface. More...

## Public Attributes
IFunc3d | _valueFunctionOfCoordinates = DefaultValueFunctionOfCoordinates
Public Attributes inherited from IG.Gr3d.VtkSurfacePlotBase
double | _pointColorOpacity = 1

## Static Public Attributes
static int | DefaultNumX = 20
| Default number of surface gridpoints in the first grid direction (for structured grids). More...
static int | DefaultNumY = 20
| Default numberof surface gridpoints in the second direction (for structured grids). More...
static BoundingBox2d | DefaultBoundsParameters = new BoundingBox2d(-1, 1, -1, 1)
static IFunc3d | DefaultValueFunctionOfCoordinates = new Func3dZ()
| Default function that specifies how values assigned to points on the plotted surface are generated. More...
static int | DefaultNumContours = 20
Static Public Attributes inherited from IG.Gr3d.VtkSurfacePlotBase
static string | DefaultValuesFieldName = "values"
| Default name of the field that contains node values for plotted grids. More...
static bool | DefaultLinesVisible = true
| Default value of the flag indicating whether lines and contours will be shown. More...
static double | DefaultLineWidth = 2
| Default line thickness for new objects of this class. More...
static bool | DefaultLineColorIsScaled = false
| Default value of the flag indicating whether lines are plotted in color scale, for new plot objects of this class. Value false means that constant color is used, true means that color scale is used. More...
static ColorScale | DefaultLineColorScale = ColorScale.CreateGray(0,1)
| Default line color scale for new plot objects of this class. More...
static color | DefaultLineColor = new color(0, 0, 1)
| Default line color for new objects of this class. More...
static bool | DefaultSurfacesVisible = true
| Default value of the flag indicating whether surfaces will be shown. More...
static bool | DefaultSurfaceColorIsScaled = true
| Default value of the flag indicated whether surfaces are plotted in color scale, for new plot objects of this class. Value false means that constant color is used, true means that color scale is used. More...
static ColorScale | DefaultSurfaceColorScale
| Default surface color scale for new plot objects of this class. More...
static color | DefaultSurfaceColor = new color(0.5, 0.75, 1.0)
| Default surface color for new objects of this class. More...
static bool | DefaultPointsVisible = true
| Default value of the flag indicating whether points will be shown. More...
static double | DefaultPointSize = 2
| Default point size for new objects of this class. More...
static bool | DefaultPointColorIsScaled = false
| Default value of the flag indicated whether points are plotted in color scale, for new plot objects of this class. Value false means that constant color is used, true means that color scale is used. More...
static ColorScale | DefaultPointColorScale = ColorScale.Create(-1, 1, new color(0.1, 0, 0.3), new color(1, 0.5, 0))
| Default point color scale for new plot objects of this class. More...
static color | DefaultPointColor = new color(1, 0, 0)
| Default point color for new objects of this class. More...

## Protected Member Functions
virtual void | PrepareRandomMesh ()
virtual void | PrepareMesh ()
| Prepares the mesh for surface plot. More...
Protected Member Functions inherited from IG.Gr3d.VtkSurfacePlotBase
virtual void | InvalidateSettingDependencies ()
| Invalidates things that are dependent on any settings. More...
void | AddLineCell (double x1, double y1, double z1, double x2, double y2, double z2)
| Adds a line with specified endpoint coordinates to the array of line cells. More...
void | AddSurfaceCell (double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3)
| Adds a triangular surface cell with specified vertex coordinates to the array of surface cells. More...
void | AddSurfaceCell (double x1, double y1, double z1, double x2, double y2, double z2, double x3, double y3, double z3, double x4, double y4, double z4)
| Adds a quadrilateral surface cell with specified vertex coordinates to the array of quadrilateral cells. More...
void | AddPointCell (double x1, double y1, double z1)
| Adds a triangular point cell with specified point coordinates to the array of point cells. A triangular cell is added with coordinates of all three vertices being the same. More...
Protected Member Functions inherited from IG.Gr3d.VtkPlotBase
virtual void | Dispose (bool disposing)
| Does the job of freeing resources. More...

## Protected Attributes
bool | _isContourPlot = false
| Whether the current oject is intended for creation of contour plots. More...
int | _numContours = DefaultNumContours
| Number of contours. More...
Protected Attributes inherited from IG.Gr3d.VtkPlotBase
List< vtkActor > | _actors
List< vtkAlgorithm > | _algorithms
List< vtkMapper > | _mappers
List< vtkDataSet > | _dataSets
bool | _autoUpdateBoundsCoordinates = true

## Properties
int | NumX`[get, set]`
| Number of gridpoints of the plotted surface in the first grid direction. More...
int | NumY`[get, set]`
| Number of gridpoints of the plotted surface in the second grid direction. More...
bool | RandomPoints`[get, set]`
| Selected points are distributed randomly on the surface. More...
BoundingBox2d | BoundsParameters`[get, set]`
| Bounds on reference parameters used for generation of the surface grid. More...
BoundingBox1d | BoundsPointValues`[get, protected set]`
| Bounds on values assigned to surface nodes. More...
IFunc2d | Function`[set]`
| Sets function of 2 variables whose graph is plotted. More...
IFunc2d | FunctionX`[get, protected set]`
| The first component of a 3D vector function of 2 parameters that acts as parametric definition of the plotted surface. More...
IFunc2d | FunctionY`[get, protected set]`
| The second component of a 3D vector function of 2 parameters that acts as parametric definition of the plotted surface. More...
IFunc2d | FunctionZ`[get, protected set]`
| The third component of a scalar function of 2 parameters that acts as parametric definition of the plotted surface. More...
IFunc2d | FuncAuxX`[get]`
| Auxiliary function used to adapt definition of parametric surface to definition by function of 2 variables. More...
IFunc2d | FuncAuxY`[get]`
| Auxiliary function used to adapt definition of parametric surface to definition by function of 2 variables. More...
IFunc3d | ValueFunctionOfCoordinates`[get, set]`
| 3F function that defines dependence of value assigned to points on the surface on coordinates of that point. More...
StructuredMesh2d3d | Mesh`[get, set]`
string | ValuesFieldName`[get, set]`
| Name of the scalar field on the mesh where values assigned to grid points are stored. More...
Properties inherited from IG.Gr3d.VtkSurfacePlotBase
bool | LinesVisible`[get, set]`
| Whether line objects are shown in plots or not. More...
double | LineWidth`[get, set]`
| Line thickness used in plots. More...
bool | LineColorIsScaled`[get, set]`
| Whether a color scale is used for coloring lines (value true) or a fixed color is used (value false). More...
ColorScale | LineColorScale`[get, set]`
| Color scale used for plotting lines (when the flag LineColorIsScaled is true, otherwise fixed LineColor is uesd). More...
color | LineColor`[get, set]`
| Color used for lines (when the flag LineColorIsScaled is false, otherwise LineColorScale is uesd that depends on values assigned to line endpoints). More...
double | LineColorOpacity`[get, set]`
| Opacity of lines. More...
bool | SurfacesVisible`[get, set]`
| Whether surface objects are shown in plots or not. More...
bool | SurfaceColorIsScaled`[get, set]`
| Whether a color scale is used for coloring surfaces (value true) or a fixed color is used (value false). More...
ColorScale | SurfaceColorScale`[get, set]`
| Color scale used for plotting surfaces (when the flag SurfaceColorIsScaled is true, otherwise fixed SurfaceColor is uesd). More...
color | SurfaceColor`[get, set]`
| Color used for surfaces (when the flag SurfaceColorIsScaled is false, otherwise SurfaceColorScale is uesd that depends on values assigned to surface endpoints). More...
double | SurfaceColorOpacity`[get, set]`
| Opacity of surfaces. More...
bool | PointsVisible`[get, set]`
| Whether point objects are shown in plots or not. More...
double | PointSize`[get, set]`
| Point size used in plots. More...
bool | PointColorIsScaled`[get, set]`
| Whether a color scale is used for coloring points (value true) or a fixed color is used (value false). More...
ColorScale | PointColorScale`[get, set]`
| Color scale used for plotting points (when the flag PointColorIsScaled is true, otherwise fixed PointColor is uesd). More...
color | PointColor`[get, set]`
| Color used for points (when the flag PointColorIsScaled is false, otherwise PointColorScale is uesd that depends on values assigned to points). More...
double | PointColorOpacity`[get, set]`
| Opacity of points. More...
Properties inherited from IG.Gr3d.VtkPlotBase
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
int | OutputLevel`[get, set]`
| Level of output to the console for the current object. The defalult output level for newly created object is specified by VtkPlotter.DefaultOutputLevel. More...
StopWatch1 | Timer`[get]`
| Stopwatch that can be used to measure the time efficiency of actions. More...
color | BackGround`[get, set]`
| Sets background color of the plotter that is used by the current plot object. More...
VtkPlotter | Plotter`[get, set]`
| VTK plotter that is used for rendering graphics produeced by the current plotting class, on a VTK rendering window. More...
List< vtkActor > | Actors`[get, set]`
| List of actors contained on the current class. More...
List< vtkAlgorithm > | algorithms`[get, set]`
| List of algorithms contained on the current class. More...
List< vtkMapper > | Mappers`[get, set]`
| List of mappers contained on the current class. More...
List< vtkDataSet > | DataSets`[get, set]`
| List of datasets contained on the current class. More...
bool | AutoUpdateBoundsCoordinates`[get, set]`
| Determines whether bounds on plotted geometry are automatically updated when new primitives are added. More...
BoundingBox3d | BoundsCoordinates`[get, protected set]`
| Bounds on coordinates of points that define the plots. everything on the plot should fit in these bounds. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Private Attributes
int | _numX = DefaultNumX
int | _numY = DefaultNumY
bool | _randomPoints = false
BoundingBox2d | _boundsParameters
BoundingBox1d | _boundsPointValues
IFunc2d | _functionX
IFunc2d | _functionY
IFunc2d | _functionZ
IFunc2d | _funcAuxX
IFunc2d | _funcAuxY
vec3[] | RandomMesh
StructuredMesh2d3d | _mesh
string | _valuesFieldName = DefaultValuesFieldName

## Additional Inherited Members
Static Public Member Functions inherited from IG.Gr3d.VtkPlotBase
static void | ExampleCustomSurfaceComparison ()
| Custom comparison of two surfaces in 3D defined as functions of two variables. More...
static void | ExampleCurvePlotLissajous ()
| Example curve plot. Plots a curve whose projection on the XY plane is a Lissajous curve, but which also oscillates in the Z direction. More...
static void | ExampleCurvePlotLissajous (int a, int b)
| Example curve plot. Plots a curve whose projection on the XY plane is a Lissajous curve, but which also oscillates in the Z direction. More...
static void | ExampleCurvePlotTorusKnot ()
| Example curve plot. Plots a curve whose projection on the XY plane is a Lissajous curve, but which also oscillates in the Z direction. More...
static void | ExampleCurvePlotTorusKnot (int p, int q)
| Example curve plot. Plots a two-parameters torus knot. Parameters must be coprimes. More...
static void | ExamplePlotterDecoration ()
| Example that demonstrates how various plotter decorations can be set up. More...
static void | ExampleSurfacePlot ()
| Example of surface plots. More...
static void | ExampleSurfacePlotScaled ()
| Example of surface plots where graph is scaled automaticallly. More...
static void | ExampleSurfacePlotScaled (int numX, int numY)
| Example of surface plots where graph is scaled automatically. More...
static void | ExampleSurfacePlotManualScaled ()
| Example of surface plots where mesh is generated manually. Also shows scaling of graph. More...
static void | ExampleSurfacePlotManualScaled (int numX, int numY)
| Example of surface plots where mesh is generated manually. Also shows scaling of graph. More...
static void | ExampleContourPlot ()
| Examples of contour plots. More...
static void | CopyBounds (Func3d2dExamples.ParametricSurface func, VtkSurfacePlot plot)
| Copies bounds on parameters from the function definition of parametric surface to a plot object for plotting surfaces. More...
static void | ExampleParametricSurfacePlots ()
| Examples of various parametric surface plots. More...

## Detailed Description

Handles surface plots in VTK render window accessed through the VtkPlotter class.

Generated surface plots are based on structured 2D meshes embedded in 3D.

$A Igor xx Oct11;

## Constructor & Destructor Documentation

IG.Gr3d.VtkSurfacePlot.VtkSurfacePlot | ( | VtkPlotter | plotter | ) |
| inline

IG.Gr3d.VtkSurfacePlot.VtkSurfacePlot | ( | VtkPlotter | plotter,
|  | StructuredMesh2d3d | mesh
| ) |  |
| inline

## Member Function Documentation

void IG.Gr3d.VtkSurfacePlot.SetBoundsParameters | ( | double | minX,
|  | double | maxX,
|  | double | minY,
|  | double | maxY
| ) |  |
| inline

Sets the bounds on reference coordinates used in generation of the surface grid.

Parameters

  minX | Lower bound for the first coordinate.
  maxX | Upper bound for the first coordinate.
  minY | Lower bound for the second coordinate.
  maxY | Upper bound for the second coordinate.

Referenced by IG.Gr3d.VtkPlotBase.CopyBounds(), IG.Gr3d.VtkPlotter.ExampleAddTestGraph(), IG.Gr3d.VtkPlotBase.ExampleContourPlot(), IG.Gr3d.VtkPlotBase.ExampleCustomSurfaceComparison(), IG.Gr3d.VtkControlBase.ExampleExternalLoadVtkGraphics_SurfacePlots(), IG.Gr3d.VtkPlotBase.ExampleParametricSurfacePlots(), IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlot(), IG.Gr3d.VtkFormsExamples.Plot3dFunctionVtkControl(), and IG.Script.ScriptGraphics3DBase.SetDefaultPlotProperties().

void IG.Gr3d.VtkSurfacePlot.SetBoundsParameters | ( | IBoundingBox | bounds | ) |
| inline

Sets the bounds on reference coordinates used in generation of the surface grid.

Parameters

  bounds | New bounds on parameters.

References IG.Num.IBoundingBox.Dimension.

void IG.Gr3d.VtkSurfacePlot.SetSurfaceDefinition | ( | IFunc2d | fX,
|  | IFunc2d | fY,
|  | IFunc2d | fZ
| ) |  |
| inline

Sets the definition of parametric surface in 3D.

Parameters

  fX | Function that specifies the first component of coordinate of a surface point dependent on parameters of the parametrically defined surface.
  fY | Function that specifies the second component of coordinate of a surface point dependent on parameters of the parametrically defined surface.
  fZ | Function that specifies the third component of coordinate of a surface point dependent on parameters of the parametrically defined surface.

Referenced by IG.Gr3d.VtkPlotter.ExampleAddTestGraph(), IG.Gr3d.VtkPlotBase.ExampleContourPlot(), IG.Gr3d.VtkPlotBase.ExampleCustomSurfaceComparison(), IG.Gr3d.VtkControlBase.ExampleExternalLoadVtkGraphics_SurfacePlots(), IG.Gr3d.VtkPlotBase.ExampleParametricSurfacePlots(), IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlot(), IG.Gr3d.VtkFormsExamples.Plot3dFunctionVtkControl(), IG.Script.ScriptGraphics3DBase.SurfaceFunctionKleinBottle(), IG.Script.ScriptGraphics3DBase.SurfaceFunctionSnailShell(), and IG.Script.ScriptGraphics3DBase.SurfaceFunctionTwoToruses().

void IG.Gr3d.VtkSurfacePlot.SetSurfaceDefinition | ( | IFunc3d2d | functions | ) |
| inline

Sets the definition of parametric surface in 3D.

Components of the specified 3D vector functions of 2D variables define indivitual coordinates on the surface dependent on the two parameters of the parametric surface (as 2D scalar functions).

Parameters

  functions | A 3D vector function of 2 variables. Each component (a 2D scalar function) defines dependence of one cartesian coordinate on two surface parameters.

References IG.Num.IFunc3d2d.Component1, IG.Num.IFunc3d2d.Component2, and IG.Num.IFunc3d2d.Component3.

void IG.Gr3d.VtkSurfacePlot.SetSurfaceDefinition | ( | IFunc2d | funcZ | ) |
| inline

Sets explicit definition of a surface as graph of a function of two variables.

Parameters

  funcZ | Function that deines the dependence of Z coordinate of a point on the surface on X and Y coordinates.

void IG.Gr3d.VtkSurfacePlot.ClearSurfaceDefinition | ( |  | ) |
| inline

Removes any eventual definition of surface by functions (either parametric or explicit).

Referenced by IG.Gr3d.VtkPlotBase.ExampleSurfacePlotManualScaled(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlotScaled(), and IG.Forms.VectorFunctionPlotter2d.PlotParametricTest().

virtual void IG.Gr3d.VtkSurfacePlot.PrepareRandomMesh | ( |  | ) |
| inline protected virtual

References IG.Num.vec3.x, IG.Num.vec3.y, and IG.Num.vec3.z.

virtual void IG.Gr3d.VtkSurfacePlot.PrepareMesh | ( |  | ) |
| inline protected virtual

Prepares the mesh for surface plot.

override void IG.Gr3d.VtkSurfacePlot.Create | ( |  | ) |
| inline virtual

Creates the surface plot.

Implements IG.Gr3d.VtkPlotBase.

References IG.Lib.ColorScaleBase.GetColor(), IG.Lib.color.IntB, IG.Lib.color.IntG, IG.Lib.color.IntR, IG.Lib.ColorScale.MaxValue, IG.Lib.ColorScale.MinValue, IG.Num.vec3.x, IG.Num.vec3.y, and IG.Num.vec3.z.

Referenced by IG.Gr3d.VtkPlotter.ExampleAddTestGraph(), IG.Gr3d.VtkPlotBase.ExampleContourPlot(), IG.Gr3d.VtkPlotBase.ExampleCustomSurfaceComparison(), IG.Gr3d.VtkControlBase.ExampleExternalLoadVtkGraphics_SurfacePlots(), IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlot(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlotManualScaled(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlotScaled(), IG.Gr3d.VtkFormsExamples.Plot3dFunctionVtkControl(), IG.Forms.VectorFunctionPlotter2d.PlotParametricTest(), and IG.Script.ScriptGraphics3DBase.SurfaceFunctionTwoToruses().

## Member Data Documentation

int IG.Gr3d.VtkSurfacePlot.DefaultNumX = 20
| static

Default number of surface gridpoints in the first grid direction (for structured grids).

int IG.Gr3d.VtkSurfacePlot.DefaultNumY = 20
| static

Default numberof surface gridpoints in the second direction (for structured grids).

int IG.Gr3d.VtkSurfacePlot._numX = DefaultNumX
| private

int IG.Gr3d.VtkSurfacePlot._numY = DefaultNumY
| private

bool IG.Gr3d.VtkSurfacePlot._randomPoints = false
| private

BoundingBox2d IG.Gr3d.VtkSurfacePlot.DefaultBoundsParameters = new BoundingBox2d(-1, 1, -1, 1)
| static

BoundingBox2d IG.Gr3d.VtkSurfacePlot._boundsParameters
| private

BoundingBox1d IG.Gr3d.VtkSurfacePlot._boundsPointValues
| private

IFunc2d IG.Gr3d.VtkSurfacePlot._functionX
| private

IFunc2d IG.Gr3d.VtkSurfacePlot._functionY
| private

IFunc2d IG.Gr3d.VtkSurfacePlot._functionZ
| private

IFunc2d IG.Gr3d.VtkSurfacePlot._funcAuxX
| private

IFunc2d IG.Gr3d.VtkSurfacePlot._funcAuxY
| private

IFunc3d IG.Gr3d.VtkSurfacePlot.DefaultValueFunctionOfCoordinates = new Func3dZ()
| static

Default function that specifies how values assigned to points on the plotted surface are generated.

IFunc3d IG.Gr3d.VtkSurfacePlot._valueFunctionOfCoordinates = DefaultValueFunctionOfCoordinates

vec3 [] IG.Gr3d.VtkSurfacePlot.RandomMesh
| private

StructuredMesh2d3d IG.Gr3d.VtkSurfacePlot._mesh
| private

string IG.Gr3d.VtkSurfacePlot._valuesFieldName = DefaultValuesFieldName
| private

bool IG.Gr3d.VtkSurfacePlot._isContourPlot = false
| protected

Whether the current oject is intended for creation of contour plots.

This flags enables surface and contour plotting classes to share most functionality.

int IG.Gr3d.VtkSurfacePlot.DefaultNumContours = 20
| static

int IG.Gr3d.VtkSurfacePlot._numContours = DefaultNumContours
| protected

Number of contours.

## Property Documentation

int IG.Gr3d.VtkSurfacePlot.NumX
| get set

Number of gridpoints of the plotted surface in the first grid direction.

Used for construction of surface grid when the surface is defined by functions.

Default value can be changed by setting DefaultNumX.

Referenced by IG.Gr3d.VtkPlotBase.CopyBounds(), IG.Gr3d.VtkPlotter.ExampleAddTestGraph(), IG.Gr3d.VtkPlotBase.ExampleContourPlot(), IG.Gr3d.VtkPlotBase.ExampleCustomSurfaceComparison(), IG.Gr3d.VtkControlBase.ExampleExternalLoadVtkGraphics_SurfacePlots(), IG.Gr3d.VtkPlotBase.ExampleParametricSurfacePlots(), IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlot(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlotManualScaled(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlotScaled(), IG.Gr3d.VtkFormsExamples.Plot3dFunctionVtkControl(), IG.Script.ScriptGraphics3DBase.SetDefaultPlotProperties(), and IG.Script.ScriptGraphics3DBase.SetPlotBounds().

int IG.Gr3d.VtkSurfacePlot.NumY
| get set

Number of gridpoints of the plotted surface in the second grid direction.

Used for construction of surface grid when the surface is defined by functions.

Default value can be changed by setting DefaultNumY.

Referenced by IG.Gr3d.VtkPlotBase.CopyBounds(), IG.Gr3d.VtkPlotter.ExampleAddTestGraph(), IG.Gr3d.VtkPlotBase.ExampleContourPlot(), IG.Gr3d.VtkPlotBase.ExampleCustomSurfaceComparison(), IG.Gr3d.VtkControlBase.ExampleExternalLoadVtkGraphics_SurfacePlots(), IG.Gr3d.VtkPlotBase.ExampleParametricSurfacePlots(), IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlot(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlotManualScaled(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlotScaled(), IG.Gr3d.VtkFormsExamples.Plot3dFunctionVtkControl(), IG.Script.ScriptGraphics3DBase.SetDefaultPlotProperties(), and IG.Script.ScriptGraphics3DBase.SetPlotBounds().

bool IG.Gr3d.VtkSurfacePlot.RandomPoints
| get set

Selected points are distributed randomly on the surface.

BoundingBox2d IG.Gr3d.VtkSurfacePlot.BoundsParameters
| get set

Bounds on reference parameters used for generation of the surface grid.

Referenced by IG.Script.ScriptGraphics3DBase.SetPlotBounds().

BoundingBox1d IG.Gr3d.VtkSurfacePlot.BoundsPointValues
| get protected set

Bounds on values assigned to surface nodes.

Referenced by IG.Gr3d.VtkPlotBase.ExamplePlotterDecoration().

IFunc2d IG.Gr3d.VtkSurfacePlot.Function
| set

Sets function of 2 variables whose graph is plotted.

The specified function represents explicit definition of surface.

IFunc2d IG.Gr3d.VtkSurfacePlot.FunctionX
| get protected set

The first component of a 3D vector function of 2 parameters that acts as parametric definition of the plotted surface.

IFunc2d IG.Gr3d.VtkSurfacePlot.FunctionY
| get protected set

The second component of a 3D vector function of 2 parameters that acts as parametric definition of the plotted surface.

IFunc2d IG.Gr3d.VtkSurfacePlot.FunctionZ
| get protected set

The third component of a scalar function of 2 parameters that acts as parametric definition of the plotted surface.

IFunc2d IG.Gr3d.VtkSurfacePlot.FuncAuxX
| get protected

Auxiliary function used to adapt definition of parametric surface to definition by function of 2 variables.

IFunc2d IG.Gr3d.VtkSurfacePlot.FuncAuxY
| get protected

Auxiliary function used to adapt definition of parametric surface to definition by function of 2 variables.

IFunc3d IG.Gr3d.VtkSurfacePlot.ValueFunctionOfCoordinates
| get set

3F function that defines dependence of value assigned to points on the surface on coordinates of that point.

This function is used to assign values to points on the surface, which can then be used for plotting contours on the surface or for coloring surface.

Referenced by IG.Gr3d.VtkPlotBase.ExampleCustomSurfaceComparison().

StructuredMesh2d3d IG.Gr3d.VtkSurfacePlot.Mesh
| get set

Referenced by IG.Gr3d.VtkPlotBase.ExampleSurfacePlotManualScaled(), IG.Gr3d.VtkPlotBase.ExampleSurfacePlotScaled(), and IG.Forms.VectorFunctionPlotter2d.PlotParametricTest().

string IG.Gr3d.VtkSurfacePlot.ValuesFieldName
| get set

Name of the scalar field on the mesh where values assigned to grid points are stored.

These values are assigned to the

The documentation for this class was generated from the following file:

- extensions/igplot3d/plot3d/vtkbased/plots/VtkSurfacePlot.cs